package org.energy.modules.inspection.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.dayu.daf.core.mp.base.BaseEntity;
import java.io.Serializable;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 巡检计划实体类
 *
 * @author Daf
 * @since 2024-07-12
 */
@Data
@TableName("i_inspection_plan")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "InspectionPlan对象", description = "巡检计划")
public class InspectionPlan extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 计划编号
     */
    @ApiModelProperty(value = "计划编号")
    private String planNo;
    /**
     * 计划名称
     */
    @ApiModelProperty(value = "计划名称")
    private String planName;
    /**
     * 场站
     */
    @ApiModelProperty(value = "场站")
    private Integer station;
    /**
     * 计划类型
     */
    @ApiModelProperty(value = "计划类型")
    private String planType;
    /**
     * 周期类型
     */
    @ApiModelProperty(value = "周期类型")
    private String periodType;
    /**
     * 周期值
     */
    @ApiModelProperty(value = "周期值")
    private String periodValue;
    /**
     * 计划起始时间
     */
    @ApiModelProperty(value = "计划起始时间")
    private String startTime;
    /**
     * 计划终了时间
     */
    @ApiModelProperty(value = "计划终了时间")
    private String endTime;
    /**
     * 计划状态
     */
    @ApiModelProperty(value = "计划状态")
    private Integer planStatus;
    /**
     * 取消原因
     */
    @ApiModelProperty(value = "取消原因")
    private String cancelReason;


}
