package org.energy.modules.inspection.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.dayu.daf.core.mp.base.BaseEntity;
import java.io.Serializable;
import java.time.LocalDateTime;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 巡检结果实体类
 *
 * @author Daf
 * @since 2024-07-11
 */
@Data
@TableName("i_inspection_result")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "InspectionResult对象", description = "巡检结果")
public class InspectionResult extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 结果编码
     */
    @ApiModelProperty(value = "结果编码")
    private String resultNo;
    /**
     * 任务编码
     */
    @ApiModelProperty(value = "任务编码")
    private String taskNo;
    /**
     * 任务执行开始时间
     */
    @ApiModelProperty(value = "任务执行开始时间")
	@JsonFormat(locale = "zh", timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private LocalDateTime executeStartDate;
    /**
     * 任务执行结束时间
     */
    @ApiModelProperty(value = "任务执行结束时间")
	@JsonFormat(locale = "zh", timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private LocalDateTime executeEndDate;
    /**
     * 巡检结果
     */
    @ApiModelProperty(value = "巡检结果")
    private String inspectiontResult;
    /**
     * 巡检报告
     */
    @ApiModelProperty(value = "巡检报告")
    private String inspectionReport;


}
