package org.energy.modules.inspection.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.dayu.daf.core.mp.base.BaseEntity;
import java.io.Serializable;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 巡检路线实体类
 *
 * @author Daf
 * @since 2024-07-10
 */
@Data
@TableName("i_inspection_route")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "InspectionRoute对象", description = "巡检路线")
public class InspectionRoute extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 路线编号
     */
    @ApiModelProperty(value = "路线编号")
    private String routeNo;
    /**
     * 路线名称
     */
    @ApiModelProperty(value = "路线名称")
    private String routeName;
    /**
     * 场站
     */
    @ApiModelProperty(value = "场站")
    private Integer stations;
    /**
     * 类型
     */
    @ApiModelProperty(value = "类型")
    private String type;
    /**
     * 巡检状态
     */
    @ApiModelProperty(value = "巡检状态")
    private Integer istatus;
    /**
     * 维护工厂
     */
    @ApiModelProperty(value = "维护工厂")
    private String factory;
    /**
     * 取消原因
     */
    @ApiModelProperty(value = "取消原因")
    private String cancelReason;


}
