package org.energy.modules.inspection.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.dayu.daf.core.mp.base.BaseEntity;
import java.io.Serializable;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 巡检任务实体类
 *
 * @author Daf
 * @since 2024-07-10
 */
@Data
@TableName("i_inspection_tasks")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "InspectionTasks对象", description = "巡检任务")
public class InspectionTasks extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 任务编码
     */
    @ApiModelProperty(value = "任务编码")
    private String taskNo;
    /**
     * 对象编码
     */
    @ApiModelProperty(value = "对象编码")
    private String objectNo;
    /**
     * 路线编码
     */
    @ApiModelProperty(value = "路线编码")
    private String routeNo;
    /**
     * 计划编码
     */
    @ApiModelProperty(value = "计划编码")
    private String planNo;
    /**
     * 任务名称
     */
    @ApiModelProperty(value = "任务名称")
    private String taskName;
    /**
     * 场站
     */
    @ApiModelProperty(value = "场站")
    private Long station;
    /**
     * 责任人
     */
    @ApiModelProperty(value = "责任人")
    private String responsiblePerson;
    /**
     * 任务生成日期时间
     */
    @ApiModelProperty(value = "任务生成日期时间")
    private String taskStartDate;
    /**
     * 任务结束日期时间
     */
    @ApiModelProperty(value = "任务结束日期时间")
    private String taskEndDate;
    /**
     * 取消原因
     */
    @ApiModelProperty(value = "取消原因")
    private String cancelReason;
    /**
     * 任务状态
     */
    @ApiModelProperty(value = "任务状态")
    private Long taskStatus;
    /**
     * 对象名称
     */
    @ApiModelProperty(value = "对象名称")
    private String objectName;
    /**
     * 对象类型
     */
    @ApiModelProperty(value = "对象类型")
    private String objectType;
    /**
     * 路线名称
     */
    @ApiModelProperty(value = "路线名称")
    private String routeName;
    /**
     * 路线类型
     */
    @ApiModelProperty(value = "路线类型")
    private String routeType;
    /**
     * 计划名称
     */
    @ApiModelProperty(value = "计划名称")
    private String planName;
    /**
     * 计划类型
     */
    @ApiModelProperty(value = "计划类型")
    private String planType;


}
