package org.energy.modules.inspection.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.apache.ibatis.annotations.Param;
import org.energy.modules.inspection.entity.InspectionObject;
import org.energy.modules.inspection.entity.InspectionRoute;
import org.energy.modules.inspection.excel.InspectionObjectExcel;
import org.energy.modules.inspection.excel.InspectionRouteExcel;
import org.energy.modules.inspection.vo.InspectionObjectVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;

/**
 * 巡检对象一览 Mapper 接口
 *
 * @author Daf
 * @since 2024-07-11
 */
public interface InspectionObjectMapper extends BaseMapper<InspectionObject> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param inspectionObject
	 * @return
	 */
	List<InspectionObjectVO> selectInspectionObjectPage(IPage page, InspectionObjectVO inspectionObject);

	List<InspectionObjectExcel> exportData(@Param("vo") InspectionObjectVO inspectionObject);

	/**
	 * 获取路线编号
	 */
	List<InspectionObject> getObjectList();

	/**
	 * 获取最大编号
	 */
	String getMaxNo(String date);

	/**
	 * 获取路线的信息
	 */
	InspectionObject getDetailList(String routeNo);

}
