package org.energy.modules.inspection.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.apache.ibatis.annotations.Param;
import org.energy.modules.inspection.entity.InspectionTasks;
import org.energy.modules.inspection.excel.InspectionTasksExcel;
import org.energy.modules.inspection.vo.InspectionTasksVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.energy.modules.leger.entity.EquipmentLedger;
import org.energy.modules.leger.excel.EquipmentLedgerExcel;

import java.util.List;

/**
 * 巡检任务 Mapper 接口
 *
 * @author Daf
 * @since 2024-07-10
 */
public interface InspectionTasksMapper extends BaseMapper<InspectionTasks> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param inspectionTasks
	 * @return
	 */
	List<InspectionTasksVO> selectInspectionTasksPage(IPage page, InspectionTasksVO inspectionTasks);

	/**
	 * 导出
	 */
	List<InspectionTasksExcel> exportData(@Param("entity") InspectionTasks inspectionTasks);

	/**
	 * 获取最大任务编号
	 */
	String getMaxTaskNO(String date);

	List<InspectionTasks> getListByToolsCodeId(String toolsCodeId);

}
