package org.energy.modules.inspection.service;

import org.energy.modules.inspection.entity.InspectionPlan;
import org.energy.modules.inspection.excel.InspectionPlanExcel;
import org.energy.modules.inspection.vo.InspectionPlanVO;
import com.dayu.daf.core.mp.base.BaseService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * 巡检计划 服务类
 *
 * @author Daf
 * @since 2024-07-12
 */
public interface IInspectionPlanService extends BaseService<InspectionPlan> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param inspectionPlan
	 * @return
	 */
	IPage<InspectionPlanVO> selectInspectionPlanPage(IPage<InspectionPlanVO> page, InspectionPlanVO inspectionPlan);

	/**
	 * 获取导出数据
	 *
	 * @param inspectionRoute
	 * @return
	 */
	List<InspectionPlanExcel> export(InspectionPlan inspectionRoute);

	/**
	 * 获取路线编号
	 */
	List<InspectionPlan> getPlanList();

	/**
	 * 获取最大任务编号
	 *
	 * @param date
	 */
	String getMaxNo(String date);

	/**
	 * 获取路线的信息
	 */
	InspectionPlan getDetail(String planNo);

}
