package org.energy.modules.inspection.service;

import org.energy.modules.inspection.entity.InspectionRoute;
import org.energy.modules.inspection.vo.InspectionRouteVO;
import com.dayu.daf.core.mp.base.BaseService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.energy.modules.inspection.excel.InspectionRouteExcel;

import java.util.List;

/**
 * 巡检路线 服务类
 *
 * @author Daf
 * @since 2024-07-10
 */
public interface IInspectionRouteService extends BaseService<InspectionRoute> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param inspectionRoute
	 * @return
	 */
	IPage<InspectionRouteVO> selectInspectionRoutePage(IPage<InspectionRouteVO> page, InspectionRouteVO inspectionRoute);

	List<InspectionRouteExcel> export(InspectionRoute InspectionRoute);

	/**
	 * 获取路线编号
	 */
	List<InspectionRoute> getRouteList();

	/**
	 * 获取最大任务编号
	 *
	 * @param date
	 */
	String getMaxNo(String date);

	/**
	 * 获取路线的信息
	 */
	InspectionRoute getDetailList(String routeNo);
}
