package org.energy.modules.inspection.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.energy.modules.inspection.entity.InspectionRoute;
import org.energy.modules.inspection.entity.InspectionTasks;
import org.energy.modules.inspection.excel.InspectionRouteExcel;
import org.energy.modules.inspection.excel.InspectionTasksExcel;
import org.energy.modules.inspection.vo.InspectionTasksVO;
import com.dayu.daf.core.mp.base.BaseService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.energy.modules.leger.entity.EquipmentLedger;
import org.energy.modules.leger.excel.EquipmentLedgerExcel;

import java.util.List;

/**
 * 巡检任务 服务类
 *
 * @author Daf
 * @since 2024-07-10
 */
public interface IInspectionTasksService extends BaseService<InspectionTasks> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param inspectionTasks
	 * @return
	 */
	IPage<InspectionTasksVO> selectInspectionTasksPage(IPage<InspectionTasksVO> page, InspectionTasksVO inspectionTasks);

	/**
	 * 获取导出数据
	 */
	List<InspectionTasksExcel> export(InspectionTasks InspectionTasks);

	/**
	 * 获取最大任务编号
	 *
	 * @param date
	 */
	String getMaxTaskNo(String date);

	List<InspectionTasks> getListByToolsCodeId(String toolsCodeId);

}
