package org.energy.modules.inspection.service.impl;

import org.energy.modules.inspection.entity.InspectionResult;
import org.energy.modules.inspection.vo.InspectionResultVO;
import org.energy.modules.inspection.mapper.InspectionResultMapper;
import org.energy.modules.inspection.service.IInspectionResultService;
import com.dayu.daf.core.mp.base.BaseServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 巡检结果 服务实现类
 *
 * @author Daf
 * @since 2024-07-10
 */
@Service
public class InspectionResultServiceImpl extends BaseServiceImpl<InspectionResultMapper, InspectionResult> implements IInspectionResultService {

	@Override
	public IPage<InspectionResultVO> selectInspectionResultPage(IPage<InspectionResultVO> page, InspectionResultVO inspectionResult) {
		return page.setRecords(baseMapper.selectInspectionResultPage(page, inspectionResult));
	}

	/**
	 * 获取最大结果编号
	 *
	 * @param taskNo
	 */
	@Override
	public String getMaxResultNo(String taskNo){
		String maxResultNo = baseMapper.getMaxResultNo(taskNo);
		return maxResultNo;
	}

}
