package org.energy.modules.inspection.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.energy.modules.inspection.entity.InspectionTasks;
import org.energy.modules.inspection.excel.InspectionTasksExcel;
import org.energy.modules.inspection.vo.InspectionTasksVO;
import org.energy.modules.inspection.mapper.InspectionTasksMapper;
import org.energy.modules.inspection.service.IInspectionTasksService;
import com.dayu.daf.core.mp.base.BaseServiceImpl;
import org.energy.modules.leger.entity.EquipmentLedger;
import org.energy.modules.leger.excel.EquipmentLedgerExcel;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * 巡检任务 服务实现类
 *
 * @author Daf
 * @since 2024-07-10
 */
@Service
public class InspectionTasksServiceImpl extends BaseServiceImpl<InspectionTasksMapper, InspectionTasks> implements IInspectionTasksService {

	@Override
	public IPage<InspectionTasksVO> selectInspectionTasksPage(IPage<InspectionTasksVO> page, InspectionTasksVO inspectionTasks) {
		return page.setRecords(baseMapper.selectInspectionTasksPage(page, inspectionTasks));
	}

	@Override
	public List<InspectionTasksExcel> export(InspectionTasks inspectionTasks) {
		List<InspectionTasksExcel> list = baseMapper.exportData(inspectionTasks);
		return list;
	}

	/**
	 * 获取最大任务编号
	 *
	 * @param date
	 */
	@Override
	public String getMaxTaskNo(String date){
		String maxTakNo = baseMapper.getMaxTaskNO(date);
		return maxTakNo;
	}

	@Override
	public List<InspectionTasks> getListByToolsCodeId(String toolsCodeId) {
		List<InspectionTasks> list = baseMapper.getListByToolsCodeId(toolsCodeId);
		return list;
	}

}
