package org.energy.modules.leger.entity;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.dayu.daf.core.mp.base.BaseEntity;
import java.io.Serializable;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 设备台账编码一览实体类
 *
 * @author Daf
 * @since 2024-07-04
 */
@Data
@TableName("l_equipment_ledger")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "EquipmentLedger对象", description = "设备台账编码一览")
public class EquipmentLedger extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 设备台账编码
     */
    @ApiModelProperty(value = "设备台账编码")
    private String eqLedgerCode;
    /**
     * 用户状态
     */
    @ApiModelProperty(value = "用户状态")
    private Integer userStatus;
    /**
     * KKS编码
     */
    @ApiModelProperty(value = "KKS编码")
    private String kksEncoding;
    /**
     * 设备种类
     */
    @ApiModelProperty(value = "设备种类")
    private String eqType;
    /**
     * 专业
     */
    @ApiModelProperty(value = "专业")
    private String major;
    /**
     * 计划员组
     */
    @ApiModelProperty(value = "计划员组")
    private String plannerGroup;
    /**
     * 计划工厂
     */
    @ApiModelProperty(value = "计划工厂")
    private String plannedFactory;
    /**
     * 设备定级
     */
    @ApiModelProperty(value = "设备定级")
    private String eqRank;
    /**
     * 设备责任人姓名
     */
    @ApiModelProperty(value = "设备责任人姓名")
    private String eqResponsibleName;
    /**
     * 制造商
     */
    @ApiModelProperty(value = "制造商")
    private String manufacturer;
    /**
     * 制造商国家
     */
    @ApiModelProperty(value = "制造商国家")
    private String manufacturerCountry;
    /**
     * 供应商
     */
    @ApiModelProperty(value = "供应商")
    private String supplier;
    /**
     * 型号
     */
    @ApiModelProperty(value = "型号")
    private String model;
    /**
     * 出厂编号
     */
    @ApiModelProperty(value = "出厂编号")
    private String factoryNo;
    /**
     * 出厂日期
     */
    @ApiModelProperty(value = "出厂日期")
	@TableField(updateStrategy = FieldStrategy.IGNORED)
    private String productionDate;
    /**
     * 安装日期
     */
    @ApiModelProperty(value = "安装日期")
	@TableField(updateStrategy = FieldStrategy.IGNORED)
    private String installDate;
    /**
     * 调试单位
     */
    @ApiModelProperty(value = "调试单位")
    private String debuggingUnit;
    /**
     * 设备分类
     */
    @ApiModelProperty(value = "设备分类")
    private String eqClass;
    /**
     * 图纸编码
     */
    @ApiModelProperty(value = "图纸编码")
    private String drawingCode;
    /**
     * 设备描述
     */
    @ApiModelProperty(value = "设备描述")
    private String deviceDescription;
    /**
     * KKS描述
     */
    @ApiModelProperty(value = "KKS描述")
    private String kksDescription;
    /**
     * 场站
     */
    @ApiModelProperty(value = "场站")
    private Integer station;
    /**
     * 系统状态
     */
    @ApiModelProperty(value = "系统状态")
    private Integer systemState;
    /**
     * 工厂区域
     */
    @ApiModelProperty(value = "工厂区域")
    private String factoryArea;
    /**
     * 资产编码
     */
    @ApiModelProperty(value = "资产编码")
    private String assetCode;
    /**
     * 设备责任人工号
     */
    @ApiModelProperty(value = "设备责任人工号")
    private String eqResponsibleNo;
    /**
     * 检修班组
     */
    @ApiModelProperty(value = "检修班组")
    private String maintenanceTeam;
    /**
     * 制造商零件号
     */
    @ApiModelProperty(value = "制造商零件号")
    private String manufacturerPartNo;
    /**
     * 制造年月
     */
    @ApiModelProperty(value = "制造年月")
	@TableField(updateStrategy = FieldStrategy.IGNORED)
    private String manufactureDate;
    /**
     * 大小尺寸
     */
    @ApiModelProperty(value = "大小尺寸")
    private String sizeAndSize;
    /**
     * 制造序列号
     */
    @ApiModelProperty(value = "制造序列号")
    private String manufacturingSerialNo;
    /**
     * 设计单位
     */
    @ApiModelProperty(value = "设计单位")
    private String designUnit;
    /**
     * 对象重量
     */
    @ApiModelProperty(value = "对象重量")
    private String objectWeight;
    /**
     * 投运日期
     */
    @ApiModelProperty(value = "投运日期")
	@TableField(updateStrategy = FieldStrategy.IGNORED)
    private String operationDate;
    /**
     * 安装单位
     */
    @ApiModelProperty(value = "安装单位")
    private String installationUnit;
    /**
     * 安装位置
     */
    @ApiModelProperty(value = "安装位置")
    private String installationLocation;
    /**
     * 成本中心
     */
    @ApiModelProperty(value = "成本中心")
    private String costCenter;
    /**
     * 审核状态
     */
    @ApiModelProperty(value = "审核状态")
    private Integer checkStatus;


}
