package org.energy.modules.leger.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.dayu.daf.core.mp.base.BaseEntity;
import java.io.Serializable;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 检验标准一览实体类
 *
 * @author Daf
 * @since 2024-07-09
 */
@Data
@TableName("l_inspection_standards")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "InspectionStandards对象", description = "检验标准一览")
public class InspectionStandards extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 工器具编码
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "工器具编码")
    private Long toolsCodeId;
    /**
     * 检验内容
     */
    @ApiModelProperty(value = "检验内容")
    private String inspectionContent;
    /**
     * 检验标准
     */
    @ApiModelProperty(value = "检验标准")
    private String inspectionStandards;


}
