package org.energy.modules.leger.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.dayu.daf.core.mp.base.BaseEntity;
import java.io.Serializable;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 文档清册一览实体类
 *
 * @author Daf
 * @since 2024-07-04
 */
@Data
@TableName("l_inventory_document")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "InventoryDocument对象", description = "文档清册一览")
public class InventoryDocument extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 设备台账主键
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "设备台账主键")
    private Long eqLedgerId;
    /**
     * 工器具编码主键
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "工器具编码主键")
    private Long toolsCodeId;
    /**
     * 标题
     */
    @ApiModelProperty(value = "标题")
    private String title;
    /**
     * 作者
     */
    @ApiModelProperty(value = "作者")
    private String author;
    /**
     * 日期
     */
    @ApiModelProperty(value = "日期")
    private String date;
    /**
     * 页数
     */
    @ApiModelProperty(value = "页数")
    private Integer page;
    /**
     * 关键字
     */
    @ApiModelProperty(value = "关键字")
    private String keyword;
    /**
     * 主题
     */
    @ApiModelProperty(value = "主题")
    private String thead;
    /**
     * 附件地址
     */
    @ApiModelProperty(value = "附件地址")
    private String accessoryPath;
    /**
     * 附件名称
     */
    @ApiModelProperty(value = "附件名称")
    private String accessoryName;
    /**
     * 原附件名称
     */
    @ApiModelProperty(value = "原附件名称")
    private String prAccessoryName;


}
