package org.energy.modules.leger.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.energy.modules.inspection.entity.InspectionObject;
import org.energy.modules.leger.entity.EquipmentLedger;
import org.energy.modules.leger.vo.EquipmentLedgerVO;
import com.dayu.daf.core.mp.base.BaseService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.energy.modules.leger.excel.EquipmentLedgerExcel;

import java.util.List;

/**
 * 设备台账编码一览 服务类
 *
 * @author Daf
 * @since 2024-07-04
 */
public interface IEquipmentLedgerService extends BaseService<EquipmentLedger> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param equipmentLedger
	 * @return
	 */
	IPage<EquipmentLedgerVO> selectEquipmentLedgerPage(IPage<EquipmentLedgerVO> page, EquipmentLedgerVO equipmentLedger);

	/**
	 * 获取导出数据
	 *
	 * @param equipmentLedger
	 * @return
	 */
	List<EquipmentLedgerExcel> export(EquipmentLedgerVO equipmentLedger);

	/**
	 * 获取kksNo
	 */
	List<EquipmentLedger> getKksNoList();
	/**
	 * 获取kks编码
	 */
	EquipmentLedger getKksKey(String KksNo);
	/**
	 * 获取路线的信息
	 */
	EquipmentLedger getDetailList(String objectNo);

	/**
	 * 获取kks编码
	 */
	EquipmentLedger getEqLedgerCode(String eqLedgerCode);
}
