package org.energy.modules.leger.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.energy.modules.leger.entity.EquipmentLedger;
import org.energy.modules.leger.entity.ToolInventoryRecord;
import org.energy.modules.leger.excel.EquipmentLedgerExcel;
import org.energy.modules.leger.excel.ToolInventoryRecordExcel;
import org.energy.modules.leger.vo.EquipmentLedgerVO;
import org.energy.modules.leger.vo.ToolInventoryRecordVO;
import com.dayu.daf.core.mp.base.BaseService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * 工器具编码一览 服务类
 *
 * @author Daf
 * @since 2024-07-09
 */
public interface IToolInventoryRecordService extends BaseService<ToolInventoryRecord> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param toolInventoryRecord
	 * @return
	 */
	IPage<ToolInventoryRecordVO> selectToolInventoryRecordPage(IPage<ToolInventoryRecordVO> page, ToolInventoryRecordVO toolInventoryRecord);

	/**
	 * 获取导出数据
	 *
	 * @param ToolInventoryRecord
	 * @return
	 */
	List<ToolInventoryRecordExcel> export(ToolInventoryRecordVO ToolInventoryRecord);

	/**
	 * 获取路线编号
	 */
	List<ToolInventoryRecord> getToolsCodeIdList();
	/**
	 * 获取工器具明细
	 */
	ToolInventoryRecord getDetailList(String toolsCodeId);
	/**
	 * 获取工器具编码
	 */
	ToolInventoryRecord getToolsCodeId(String toolsCodeId);

}
