package org.energy.modules.leger.service.impl;

import org.energy.modules.leger.entity.Dynamicledger;
import org.energy.modules.leger.vo.DynamicledgerVO;
import org.energy.modules.leger.mapper.DynamicledgerMapper;
import org.energy.modules.leger.service.IDynamicledgerService;
import com.dayu.daf.core.mp.base.BaseServiceImpl;
import org.energy.modules.smart.entity.OperationTicket;
import org.energy.modules.smart.entity.WorkOrder;
import org.energy.modules.smart.entity.WorkPermit;
import org.energy.modules.smart.vo.WorkOrderVO;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * L_DYNAMICLEDGER 服务实现类
 *
 * @author Daf
 * @since 2024-07-17
 */
@Service
public class DynamicledgerServiceImpl extends BaseServiceImpl<DynamicledgerMapper, Dynamicledger> implements IDynamicledgerService {

	@Override
	public IPage<DynamicledgerVO> selectDynamicledgerPage(IPage<DynamicledgerVO> page, DynamicledgerVO dynamicledger) {
		return page.setRecords(baseMapper.selectDynamicledgerPage(page, dynamicledger));
	}

	@Override
	public IPage<Dynamicledger> selectDynamicledgerPageExt(IPage<Dynamicledger> page, Dynamicledger dynamicledger) {
		return  page.setRecords(baseMapper.selectDynamicledgerPageExt(page, dynamicledger));
	}

	@Override
	public List<WorkOrder> getWorkOrederListbyKksCd(Dynamicledger dynamicledger) {

		return  baseMapper.getWorkOrederListbyKksCd(dynamicledger);
	}

	@Override
	public List<WorkPermit> getWorkticketListbyKksCd( Dynamicledger dynamicledger) {
		return baseMapper.getWorkticketListbyKksCd(dynamicledger);
	}

	@Override
	public List<OperationTicket> getOperationListbyKksCd(Dynamicledger dynamicledger) {
		return baseMapper.getOperationListbyKksCd(dynamicledger);
	}

}
