package org.energy.modules.leger.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import io.micrometer.core.instrument.util.StringUtils;
import org.energy.modules.inspection.entity.InspectionObject;
import org.energy.modules.leger.entity.EquipmentLedger;
import org.energy.modules.leger.vo.EquipmentLedgerVO;
import org.energy.modules.leger.mapper.EquipmentLedgerMapper;
import org.energy.modules.leger.service.IEquipmentLedgerService;
import com.dayu.daf.core.mp.base.BaseServiceImpl;
import org.energy.modules.leger.excel.EquipmentLedgerExcel;
import org.energy.modules.smart.excel.WorkPermitExcel;
import org.energy.modules.smart.vo.WorkPermitVO;
import org.energy.modules.system.service.IDictService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * 设备台账编码一览 服务实现类
 *
 * @author Daf
 * @since 2024-07-04
 */
@Service
public class EquipmentLedgerServiceImpl extends BaseServiceImpl<EquipmentLedgerMapper, EquipmentLedger> implements IEquipmentLedgerService {

	@Autowired
	IDictService dictService;

	@Override
	public IPage<EquipmentLedgerVO> selectEquipmentLedgerPage(IPage<EquipmentLedgerVO> page, EquipmentLedgerVO equipmentLedger) {
		return page.setRecords(baseMapper.selectEquipmentLedgerPage(page, equipmentLedger));
	}

	@Override
	public List<EquipmentLedgerExcel> export(EquipmentLedgerVO equipmentLedger) {
		List<EquipmentLedgerExcel> list = baseMapper.exportData(equipmentLedger);
		list.forEach(item -> {
			if (StringUtils.isNotEmpty(item.getCheckStatus()))
				item.setCheckStatus(dictService.getValue("check_status", Integer.parseInt(item.getCheckStatus())));
		});
		return list;
	}

	@Override
	public List<EquipmentLedger> getKksNoList() {
		List<EquipmentLedger> list = baseMapper.getKksNoList();
		return list;
	}

	@Override
	public EquipmentLedger getDetailList(String KkstNo) {
		EquipmentLedger DetailList  = baseMapper.getDetailList(KkstNo);
		return DetailList;
	}

	@Override
	public EquipmentLedger getEqLedgerCode(String eqLedgerCode) {
		EquipmentLedger DetailList = baseMapper.getEqLedgerCode(eqLedgerCode);
		return DetailList;
	}

	@Override
	public EquipmentLedger getKksKey(String KksNo) {
		EquipmentLedger DetailList = baseMapper.getKksKey(KksNo);
		return DetailList;
	}
}
