package org.energy.modules.leger.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import io.micrometer.core.instrument.util.StringUtils;
import org.energy.modules.leger.entity.EquipmentLedger;
import org.energy.modules.leger.entity.ToolInventoryRecord;
import org.energy.modules.leger.excel.EquipmentLedgerExcel;
import org.energy.modules.leger.vo.EquipmentLedgerVO;
import org.energy.modules.leger.vo.ToolInventoryRecordVO;
import org.energy.modules.leger.mapper.ToolInventoryRecordMapper;
import org.energy.modules.leger.service.IToolInventoryRecordService;
import com.dayu.daf.core.mp.base.BaseServiceImpl;
import org.energy.modules.system.service.IDictService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.energy.modules.leger.excel.ToolInventoryRecordExcel;

import java.util.List;

/**
 * 工器具编码一览 服务实现类
 *
 * @author Daf
 * @since 2024-07-09
 */
@Service
public class ToolInventoryRecordServiceImpl extends BaseServiceImpl<ToolInventoryRecordMapper, ToolInventoryRecord> implements IToolInventoryRecordService {
	@Autowired
	IDictService dictService;

	@Override
	public IPage<ToolInventoryRecordVO> selectToolInventoryRecordPage(IPage<ToolInventoryRecordVO> page, ToolInventoryRecordVO toolInventoryRecord) {
		return page.setRecords(baseMapper.selectToolInventoryRecordPage(page, toolInventoryRecord));
	}

	@Override
	public List<ToolInventoryRecordExcel> export(ToolInventoryRecordVO toolInventoryRecord) {
		List<ToolInventoryRecordExcel> list = baseMapper.exportData(toolInventoryRecord);
		list.forEach(item -> {
			if (StringUtils.isNotEmpty(item.getCheckStatus()))
				item.setCheckStatus(dictService.getValue("check_status", Integer.parseInt(item.getCheckStatus())));
			if (StringUtils.isNotEmpty(item.getStations()))
				item.setStations(dictService.getValue("station", Integer.parseInt(item.getStations())));
			if (StringUtils.isNotEmpty(item.getIsInspectionPeriod()))
				item.setIsInspectionPeriod(dictService.getValue("yes_no", Integer.parseInt(item.getIsInspectionPeriod())));
		});
		return list;
	}

	@Override
	public List<ToolInventoryRecord> getToolsCodeIdList() {
		List<ToolInventoryRecord> list = baseMapper.getToolsCodeIdList();
		return list;
	}

	@Override
	public ToolInventoryRecord getDetailList(String toolsCodeId) {
		ToolInventoryRecord DetailList = baseMapper.getDetailList(toolsCodeId);
		return DetailList;
	}

	@Override
	public ToolInventoryRecord getToolsCodeId(String toolsCodeId) {
		ToolInventoryRecord KksNoDetail = baseMapper.getToolsCodeId(toolsCodeId);
		return KksNoDetail;
	}

}
