package org.energy.modules.org.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.dayu.daf.core.mp.base.BaseEntity;
import java.io.Serializable;
import java.time.LocalDate;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 部门信息实体类
 *
 * @author Daf
 * @since 2024-12-26
 */
@Data
@TableName("org_department_info")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "DepartmentInfo对象", description = "部门信息")
public class DepartmentInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 场站编码
     */
    @ApiModelProperty(value = "场站编码")
    private String stationCode;
    /**
     * 部门编号
     */
    @ApiModelProperty(value = "部门编号")
    private String departmentNumber;
    /**
     * 部门名称
     */
    @ApiModelProperty(value = "部门名称")
    private String departmentName;
    /**
     * 创建日期
     */
    @ApiModelProperty(value = "创建日期")
    private LocalDate creationDate;
    /**
     * 部门状态
     */
    @ApiModelProperty(value = "部门状态")
    private String departmentStatus;
    /**
     * 部门简介
     */
    @ApiModelProperty(value = "部门简介")
    private String departmentDescription;


}
