package org.energy.modules.org.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.dayu.daf.core.mp.base.BaseEntity;
import java.io.Serializable;
import java.time.LocalDate;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 岗位信息实体类
 *
 * @author Daf
 * @since 2024-12-17
 */
@Data
@TableName("org_position_info")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "PositionInfo对象", description = "岗位信息")
public class PositionInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 场站编码
     */
    @ApiModelProperty(value = "场站编码")
    private String stationCode;
    /**
     * 岗位编号
     */
    @ApiModelProperty(value = "岗位编号")
    private String postNumber;
    /**
     * 岗位名称
     */
    @ApiModelProperty(value = "岗位名称")
    private String postName;
    /**
     * 创建日期
     */
    @ApiModelProperty(value = "创建日期")
    private LocalDate creationDate;
    /**
     * 岗位简介
     */
    @ApiModelProperty(value = "岗位简介")
    private String positionDescription;
	/**
	 * 班组编号
	 */
	@ApiModelProperty(value = "班组编号")
	private String teamNumber;
	/**
	 * 部门编号
	 */
	@ApiModelProperty(value = "部门编号")
	private String departmentNumber;


}
