package org.energy.modules.org.mapper;

import org.apache.ibatis.annotations.Param;
import org.energy.modules.org.entity.StationInfo;
import org.energy.modules.org.vo.PositionInfoVO;
import org.energy.modules.org.vo.StationInfoVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.Collection;
import java.util.List;

/**
 * 场站信息 Mapper 接口
 *
 * @author Daf
 * @since 2024-12-31
 */
public interface StationInfoMapper extends BaseMapper<StationInfo> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param stationInfo
	 * @return
	 */
	List<StationInfoVO> selectStationInfoPage(IPage page, @Param("entity")StationInfoVO stationInfo);

	StationInfoVO selectDetail(@Param("id") Long id);

	List<StationInfoVO> stationInfoData(@Param("stationCode") String stationCode);
	List<StationInfoVO> stationTypeInfoData(@Param("stationCode") String stationCode);
	List<StationInfoVO> maintenanceStatusInfoData(@Param("stationCode") String stationCode);

	/**
	 * 获取最大编号
	 */
	String getMaxNo(String date);
}
