package org.energy.modules.org.service;

import org.energy.modules.org.entity.DepartmentInfo;
import org.energy.modules.org.vo.DepartmentInfoVO;
import com.dayu.daf.core.mp.base.BaseService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.energy.modules.org.vo.TeamInfoVO;

import java.util.List;

/**
 * 部门信息 服务类
 *
 * @author Daf
 * @since 2024-12-26
 */
public interface IDepartmentInfoService extends BaseService<DepartmentInfo> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param departmentInfo
	 * @return
	 */
	IPage<DepartmentInfoVO> selectDepartmentInfoPage(IPage<DepartmentInfoVO> page, DepartmentInfoVO departmentInfo);

	/**
	 * 获取详情
	 * @param id
	 * @return
	 */
	DepartmentInfoVO selectDetail(Long id);

	/**
	 * 获取部門下拉详情
	 *
	 * @return
	 */
	List<DepartmentInfoVO> departmentInfoData(String stationCode);

	/**
	 * 获取部门状态下拉详情
	 *
	 * @return
	 */
	List<DepartmentInfoVO> departmentStatusInfoData();
}
