package org.energy.modules.org.service;

import org.energy.modules.org.entity.StationInfo;
import org.energy.modules.org.vo.StationInfoVO;
import com.dayu.daf.core.mp.base.BaseService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.Collection;
import java.util.List;

/**
 * 场站信息 服务类
 *
 * @author Daf
 * @since 2024-12-31
 */
public interface IStationInfoService extends BaseService<StationInfo> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param stationInfo
	 * @return
	 */
	IPage<StationInfoVO> selectStationInfoPage(IPage<StationInfoVO> page, StationInfoVO stationInfo);

	/**
	 * 获取详情
	 * @param id
	 * @return
	 */
	StationInfoVO selectDetail(Long id);

	/**
	 * 下拉
	 *
	 * @return
	 */
	List<StationInfoVO> stationInfoData(String stationCode);

	/**
	 * 下拉
	 *
	 * @return
	 */
	List<StationInfoVO> stationTypeInfoData(String stationCode);

	/**
	 * 下拉
	 *
	 * @return
	 */
	List<StationInfoVO> maintenanceStatusInfoData(String stationCode);

	/**
	 * 获取最大场站编号
	 *
	 * @param date
	 */
	String getMaxNo(String date);

}
