package org.energy.modules.release.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.dayu.daf.core.mp.base.BaseEntity;
import java.io.Serializable;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 生产信息发布实体类
 *
 * @author Daf
 * @since 2024-07-15
 */
@Data
@TableName("rel_production_information")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "ProductionInformation对象", description = "生产信息发布")
public class ProductionInformation extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 消息编码
     */
    @ApiModelProperty(value = "消息编码")
    private String messageEncoding;
    /**
     * 消息主题
     */
    @ApiModelProperty(value = "消息主题")
    private String messageTopic;
    /**
     * 消息类型
     */
    @ApiModelProperty(value = "消息类型")
    private String messageType;
    /**
     * 消息内容
     */
    @ApiModelProperty(value = "消息内容")
    private String messageContent;
    /**
     * 发布人
     */
    @ApiModelProperty(value = "发布人")
    private String publisher;
    /**
     * 消息等级
     */
    @ApiModelProperty(value = "消息等级")
    private String messageLevel;
    /**
     * 是否停用
     */
    @ApiModelProperty(value = "是否停用")
    private Integer isDiscontinue;
    /**
     * 发布时间
     */
    @ApiModelProperty(value = "发布时间")
    private String releaseTime;
    /**
     * 审核状态
     */
    @ApiModelProperty(value = "审核状态")
    private Integer checkstatus;


}
