package org.energy.modules.smart.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.dayu.daf.core.mp.base.BaseEntity;
import java.io.Serializable;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 操作项目表实体类
 *
 * @author Daf
 * @since 2024-07-11
 */
@Data
@TableName("smt_operation_item")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "OperationItem对象", description = "操作项目表")
public class OperationItem extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 操作票编号
     */
    @ApiModelProperty(value = "操作票编号")
    private String operationTicketNo;
    /**
     * 操作项目编号
     */
    @ApiModelProperty(value = "操作项目编号")
    private String operationItemNo;
    /**
     * 项目名称
     */
    @ApiModelProperty(value = "项目名称")
    private String itmeName;
    /**
     * 危害因素
     */
    @ApiModelProperty(value = "危害因素")
    private String securityMeasures;
    /**
     * 风险等级
     */
    @ApiModelProperty(value = "风险等级")
    private String riskLevel;
    /**
     * 其他
     */
    @ApiModelProperty(value = "其他")
    private String other;


}
