package org.energy.modules.smart.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.dayu.daf.core.mp.base.BaseEntity;
import java.io.Serializable;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.NullSerializer;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 操作票一览实体类
 *
 * @author Daf
 * @since 2024-07-10
 */
@Data
@TableName("smt_operation_ticket")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "OperationTicket对象", description = "操作票一览")
public class OperationTicket extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * KKS编码
     */
    @ApiModelProperty(value = "KKS编码")
    private String kksEncoding;
    /**
     * KSS描述
     */
    @ApiModelProperty(value = "KSS描述")
    private String kksDescription;
    /**
     * 场站
     */
    @ApiModelProperty(value = "场站")
    private Integer station;
    /**
     * 操作票编号
     */
    @ApiModelProperty(value = "操作票编号")
    private String operationTicketNo;
    /**
     * 操作票类型
     */
    @ApiModelProperty(value = "操作票类型")
    private String operationTicketType;
    /**
     * 工作班组
     */
    @ApiModelProperty(value = "工作班组")
    private String workTeam;
    /**
     * 工作负责人
     */
    @ApiModelProperty(value = "工作负责人")
    private String workLeader;
    /**
     * 监护人
     */
    @ApiModelProperty(value = "监护人")
    private String guardian;
    /**
     * 发令人
     */
    @ApiModelProperty(value = "发令人")
    private String givingOrdersUser;
    /**
     * 作业风险等级
     */
    @ApiModelProperty(value = "作业风险等级")
    private String jobRiskLevel;
    /**
     * 控制等级
     */
    @ApiModelProperty(value = "控制等级")
    private String controlLevel;
    /**
     * 计划开始时间
     */
    @ApiModelProperty(value = "计划开始时间")
    private String plannedStartTime;
    /**
     * 计划结束时间
     */
    @ApiModelProperty(value = "计划结束时间")
    private String plannedEndTime;
    /**
     * 工作签发时间
     */
    @ApiModelProperty(value = "工作签发时间")
    private String workIssuanceTime;
    /**
     * 人员资格
     */
    @ApiModelProperty(value = "人员资格")
    private String personnelQualification;
    /**
     * 人员状态
     */
    @ApiModelProperty(value = "人员状态")
    private String personnelState;
    /**
     * 人员防护
     */
    @ApiModelProperty(value = "人员防护")
    private String personnelPritection;
    /**
     * 安全距离
     */
    @ApiModelProperty(value = "安全距离")
    private String safeDistance;
    /**
     * 走错间隔
     */
    @ApiModelProperty(value = "走错间隔")
    private String wrongInterval;
    /**
     * 安全措施落实
     */
    @ApiModelProperty(value = "安全措施落实")
    private String securityMeasuresImplement;
    /**
     * 开展过程检查
     */
    @ApiModelProperty(value = "开展过程检查")
    private String conductProcessInspections;
    /**
     * 安全培训落实
     */
    @ApiModelProperty(value = "安全培训落实")
    private String securityTrainingImplement;
    /**
     * 其他
     */
    @ApiModelProperty(value = "其他")
    private String other;
    /**
     * 安全技术措施交底
     */
    @ApiModelProperty(value = "安全技术措施交底")
    private String securityMeasuresDisclosure;
    /**
     * 作业后风险管控情况评价
     */
    @ApiModelProperty(value = "作业后风险管控情况评价")
    private String riskControlEvaluation;
    /**
     * 状态
     */
    @ApiModelProperty(value = "状态")
    private Integer sts;
    /**
     * 是否合格
     */
	@JsonSerialize(nullsUsing = NullSerializer.class)
    @ApiModelProperty(value = "是否合格")
    private Integer isQuakified;
    /**
     * 审核状态
     */
    @ApiModelProperty(value = "审核状态")
    private Integer reviewStatus;


}
