package org.energy.modules.smart.entity;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.dayu.daf.core.mp.base.BaseEntity;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.NullSerializer;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 实体类
 *
 * @author Daf
 * @since 2024-07-@TableField(updateStrategy = FieldStrategy.IGNORED)
 */
@Data
@TableName("smt_work_order")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "WorkOrder对象", description = "WorkOrder对象")
public class WorkOrder extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 台账id
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "台账id")
    private Long equipmentLedgerId;
    /**
     * 工单编号
     */
    @ApiModelProperty(value = "工单编号")
    private String workOrderNo;
    /**
     * 工单类型
     */
	@JsonSerialize(nullsUsing = NullSerializer.class)
    @ApiModelProperty(value = "工单类型")
    private Integer workOrderType;
    /**
     * 内容描述
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    @ApiModelProperty(value = "内容描述")
    private String description;
    /**
     * 负责人
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "负责人")
    private Long managerUserId;
    /**
     * 责任班组
     */
    @ApiModelProperty(value = "责任班组")
    private String responsibilityTeam;
    /**
     * 计划工厂
     */
    @ApiModelProperty(value = "计划工厂")
    private String plannedFactory;
    /**
     * 维护作业类型
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    @ApiModelProperty(value = "维护作业类型")
    private String maintenanceTaskType;
    /**
     * 用户状态
     */
	@JsonSerialize(nullsUsing = NullSerializer.class)
    @ApiModelProperty(value = "用户状态")
    private Integer userStatus;
    /**
     * 发生时间
     */
    @ApiModelProperty(value = "发生时间")
    private LocalDateTime occurrenceTime;
    /**
     * 执行班组
     */
    @ApiModelProperty(value = "执行班组")
    private String taskTeam;
    /**
     * 处理时间
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    @ApiModelProperty(value = "处理时间")
    private LocalDateTime processingTime;
    /**
     * 发生原因
     */
    @ApiModelProperty(value = "发生原因")
    private String causeIncident;
    /**
     * 处理过程描述
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    @ApiModelProperty(value = "处理过程描述")
    private String processDescription;
    /**
     * 结束时间
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    @ApiModelProperty(value = "结束时间")
    private LocalDateTime endTime;
    /**
     * 处理结果
     */
	@JsonSerialize(nullsUsing = NullSerializer.class)
	@TableField(updateStrategy = FieldStrategy.IGNORED)
    @ApiModelProperty(value = "处理结果")
    private Integer handlingResult;
    /**
     * 审核状态
     */
	@JsonSerialize(nullsUsing = NullSerializer.class)
    @ApiModelProperty(value = "审核状态")
    private Integer approvalStatus;



}
