package org.energy.modules.smart.entity;

import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.dayu.daf.core.mp.base.BaseEntity;
import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.NullSerializer;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 工作票一览实体类
 *
 * @author Daf
 * @since 2024-07-15
 */
@Data
@TableName("smt_work_permit")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "WorkPermit对象", description = "工作票一览")
public class WorkPermit extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * KKS编码
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "KKS编码")
    private String kksEncoding;
    /**
     * KKS描述
     */
    @ApiModelProperty(value = "KKS描述")
    private String kksDescription;
    /**
     * 场站
     */
    @ApiModelProperty(value = "场站")
    private Integer stations;
    /**
     * 工作票编号
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "工作票编号")
    private String workTicketNo;
    /**
     * 工作票类型
     */
    @ApiModelProperty(value = "工作票类型")
    private String workTicketType;
    /**
     * 工单
     */
    @ApiModelProperty(value = "工单")
    private String tickets;
    /**
     * 班组
     */
    @ApiModelProperty(value = "班组")
    private String team;
    /**
     * 工作负责人
     */
    @ApiModelProperty(value = "工作负责人")
    private String workChargePerson;
    /**
     * 工作班成员
     */
    @ApiModelProperty(value = "工作班成员")
    private String workClassMembers;
    /**
     * 许可人
     */
    @ApiModelProperty(value = "许可人")
    private String licensors;
    /**
     * 签发人
     */
    @ApiModelProperty(value = "签发人")
    private String issuer;
    /**
     * 功能位置
     */
    @ApiModelProperty(value = "功能位置")
    private String functionalLocation;
    /**
     * 工作地点
     */
    @ApiModelProperty(value = "工作地点")
    private String placeWork;
    /**
     * 工作内容
     */
    @ApiModelProperty(value = "工作内容")
    private String jobDescription;
    /**
     * 计划开始时间
     */
    @ApiModelProperty(value = "计划开始时间")
	@JsonFormat(locale = "zh", timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private LocalDateTime planStartDate;
    /**
     * 计划结束时间
     */
    @ApiModelProperty(value = "计划结束时间")
	@JsonFormat(locale = "zh", timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
	@TableField(updateStrategy = FieldStrategy.IGNORED)
    private LocalDateTime planEndDate;
    /**
     * 工作条件
     */
    @ApiModelProperty(value = "工作条件")
    private String workingConditions;
    /**
     * 实际结束时间
     */
    @ApiModelProperty(value = "实际结束时间")
	@JsonFormat(locale = "zh", timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
	@TableField(updateStrategy = FieldStrategy.IGNORED)
    private LocalDateTime actualEndDate;
    /**
     * 是否延期
     */
	@JsonSerialize(nullsUsing = NullSerializer.class)
    @ApiModelProperty(value = "是否延期")
    private Integer isExtended;
    /**
     * 计划延期时间
     */
    @ApiModelProperty(value = "计划延期时间")
	@JsonFormat(locale = "zh", timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
	@TableField(updateStrategy = FieldStrategy.IGNORED)
    private LocalDateTime plannedExtensionDate;
    /**
     * 延期申请理由
     */
    @ApiModelProperty(value = "延期申请理由")
    private String extRegReason;
    /**
     * 是否变更
     */
	@JsonSerialize(nullsUsing = NullSerializer.class)
    @ApiModelProperty(value = "是否变更")
    private Integer ischanged;
    /**
     * 变更申请理由
     */
    @ApiModelProperty(value = "变更申请理由")
    private String changeReason;
    /**
     * 总结
     */
    @ApiModelProperty(value = "总结")
    private String summary;
    /**
     * 工作状态
     */
	@JsonSerialize(nullsUsing = NullSerializer.class)
    @ApiModelProperty(value = "工作状态")
    private Integer workState;

	/**
	 * 审核状态
	 */
	@ApiModelProperty(value = "审核状态")
	private Integer checkStatus;


}
