package org.energy.modules.smart.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.dayu.daf.core.mp.base.BaseEntity;
import java.io.Serializable;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 工作票附票一览实体类
 *
 * @author Daf
 * @since 2024-07-15
 */
@Data
@TableName("smt_work_permit_attachment")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "WorkPermitAttachment对象", description = "工作票附票一览")
public class WorkPermitAttachment extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    private Long id;

	/**
	 * 工作票主键
	 */
	@JsonSerialize(using = ToStringSerializer.class)
	@ApiModelProperty(value = "工作票主键")
	private Long workTicketNo;
    /**
     * 附票编码
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "附票编码")
    private String ticketCode;
    /**
     * 附票类型
     */
    @ApiModelProperty(value = "附票类型")
    private Integer ticketType;
    /**
     * 专项作业名称
     */
    @ApiModelProperty(value = "专项作业名称")
    private String specialJobName;
    /**
     * 工作内容
     */
    @ApiModelProperty(value = "工作内容")
    private String jobDescription;
    /**
     * 工作状态
     */
    @ApiModelProperty(value = "工作状态")
    private Integer workStatus;
    /**
     * 工作地点
     */
    @ApiModelProperty(value = "工作地点")
    private String placeWork;


}
