/**
 * Copyright (c) 2018-2028, Chill Zhuang 庄骞 (smallchill@163.com).
 * <p>
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * <p>
 * http://www.apache.org/licenses/LICENSE-2.0
 * <p>
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.energy.modules.smart.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serializable;

/**
 * EquipmentLedge model export
 * @author edwong
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(16)
public class WorkOrderExcel implements Serializable {
	private static final long serialVersionUID = 1L;

	@ColumnWidth(20)
	@ExcelProperty(value = "KKS编码")
	private String kksEncoding;

	@ColumnWidth(20)
	@ExcelProperty(value = "工单编号")
	private String workOrderNo;

	@ColumnWidth(20)
	@ExcelProperty(value = "内容描述")
	private String description;

	@ColumnWidth(20)
	@ExcelProperty(value = "工单类型")
	private String workOrderType;

	@ColumnWidth(20)
	@ExcelProperty(value = "维护作业类型")
	private String maintenanceTaskType;

	@ColumnWidth(20)
	@ExcelProperty(value = "所属场站")
	private String plannedFactory;

	@ColumnWidth(20)
	@ExcelProperty(value = "负责人")
	private String managerUserName;

	@ColumnWidth(20)
	@ExcelProperty(value = "责任班组")
	private String responsibilityTeam;

	@ColumnWidth(20)
	@ExcelProperty(value = "工单完成")
	private String handlingResult;

	@ColumnWidth(20)
	@ExcelProperty(value = "审核状态")
	private String approvalStatus;

}
