package org.energy.modules.smart.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.energy.modules.smart.excel.OperationTicketExcel;
import org.energy.modules.smart.entity.OperationTicket;
import org.energy.modules.smart.vo.OperationTicketVO;
import org.energy.modules.smart.mapper.OperationTicketMapper;
import org.energy.modules.smart.service.IOperationTicketService;
import com.dayu.daf.core.mp.base.BaseServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * 操作票一览 服务实现类
 *
 * @author Daf
 * @since 2024-07-10
 */
@Service
public class OperationTicketServiceImpl extends BaseServiceImpl<OperationTicketMapper, OperationTicket> implements IOperationTicketService {

	@Override
	public IPage<OperationTicketVO> selectOperationTicketPage(IPage<OperationTicketVO> page, OperationTicketVO operationTicket) {
		return page.setRecords(baseMapper.selectOperationTicketPage(page, operationTicket));
	}

	@Override
	public IPage<OperationTicketVO> selectOperationTicketPageExt(IPage<OperationTicketVO> page, OperationTicket operationTicket) {
		return page.setRecords(baseMapper.selectOperationTicketPageExt(page, operationTicket));
	}

	@Override
	public List<OperationTicketExcel> export(OperationTicket operationTicket) {
		List<OperationTicketExcel> list = baseMapper.exportData(operationTicket);
		return list;
	}
}
