package org.energy.modules.spares.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.dayu.daf.core.mp.base.BaseEntity;
import java.io.Serializable;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 物资实体类
 *
 * @author Daf
 * @since 2024-07-15
 */
@Data
@TableName("s_material")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "Material对象", description = "物资")
public class Material extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 物资编号
     */
    @ApiModelProperty(value = "物资编号")
    private String materialNo;
    /**
     * 物资名称
     */
    @ApiModelProperty(value = "物资名称")
    private String materialName;
    /**
     * 物资分类码
     */
    @ApiModelProperty(value = "物资分类码")
    private String materialClassCode;
    /**
     * 规格型号
     */
    @ApiModelProperty(value = "规格型号")
    private String model;
    /**
     * 制造商名称
     */
    @ApiModelProperty(value = "制造商名称")
    private String manufacturerName;
    /**
     * 供应商名称
     */
    @ApiModelProperty(value = "供应商名称")
    private String supplierName;
    /**
     * 所属仓库
     */
    @ApiModelProperty(value = "所属仓库")
    private String warehouse;
    /**
     * 库存数量
     */
    @ApiModelProperty(value = "库存数量")
    private Long inventoryCount;
    /**
     * 物资描述
     */
    @ApiModelProperty(value = "物资描述")
    private String materialDescription;
    /**
     * 场站
     */
    @ApiModelProperty(value = "场站")
    private Long station;
    /**
     * 审核状态
     */
    @ApiModelProperty(value = "审核状态")
    private Long istatus;


}
