package org.energy.modules.spares.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.dayu.daf.core.mp.base.BaseEntity;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.NullSerializer;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * spt_warehouse实体类
 *
 * @author Daf
 * @since 2024-07-15
 */
@Data
@TableName("spt_warehouse")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "Warehouse对象", description = "spt_warehouse")
public class Warehouse extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 仓库编号
     */
    @ApiModelProperty(value = "仓库编号")
    private String code;
    /**
     * 仓库名称
     */
    @ApiModelProperty(value = "仓库名称")
    private String name;
    /**
     * 仓库地址
     */
    @ApiModelProperty(value = "仓库地址")
    private String address;
    /**
     * 仓库类型
     */
    @ApiModelProperty(value = "仓库类型")
    private Integer type;
    /**
     * 仓库负责人
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "仓库负责人")
    private Long managerUserId;
    /**
     * 联系电话
     */
    @ApiModelProperty(value = "联系电话")
    private String contactNumber;
    /**
     * 审批状态
     */
	@JsonSerialize(nullsUsing = NullSerializer.class)
    @ApiModelProperty(value = "审批状态")
    private Integer approvalStatus;


}
