/**
 * Copyright (c) 2018-2028, Chill Zhuang 庄骞 (smallchill@163.com).
 * <p>
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * <p>
 * http://www.apache.org/licenses/LICENSE-2.0
 * <p>
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.energy.modules.spares.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serializable;

/**
 * Warehouse model export
 * @author edwong
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(16)
public class WarehouseExcel implements Serializable {
	private static final long serialVersionUID = 1L;

	@ColumnWidth(20)
	@ExcelProperty(value = "仓库编号")
	private String code;

	@ColumnWidth(20)
	@ExcelProperty(value = "仓库名称")
	private String name;

	@ColumnWidth(20)
	@ExcelProperty(value = "仓库地址")
	private String address;

	@ColumnWidth(20)
	@ExcelProperty(value = "仓库类型")
	private String type;

	@ColumnWidth(20)
	@ExcelProperty(value = "仓库负责人")
	private String managerUserName;

	@ColumnWidth(20)
	@ExcelProperty(value = "联系电话")
	private String contactNumber;

	@ColumnWidth(20)
	@ExcelProperty(value = "审批状态")
	private String approvalStatus;


}
