package org.energy.modules.spares.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.apache.ibatis.annotations.Param;
import org.energy.modules.inspection.entity.InspectionRoute;
import org.energy.modules.inspection.entity.InspectionTasks;
import org.energy.modules.inspection.excel.InspectionRouteExcel;
import org.energy.modules.inspection.excel.InspectionTasksExcel;
import org.energy.modules.spares.entity.Material;
import org.energy.modules.spares.excel.MaterialExcel;
import org.energy.modules.spares.vo.MaterialVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;

/**
 * 物资 Mapper 接口
 *
 * @author Daf
 * @since 2024-07-15
 */
public interface MaterialMapper extends BaseMapper<Material> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param material
	 * @return
	 */
	List<MaterialVO> selectMaterialPage(IPage page, MaterialVO material);

	/**
	 * 导出
	 */
	List<MaterialExcel> exportData(@Param("entity") Material material);

	/**
	 * 获取物资编号
	 */
	List<Material> getNoList();

	/**
	 * 获取最大编号
	 */
	String getMaxNo();

	/**
	 * 获取物资的信息
	 */
	MaterialVO getDetailList(String materialNo);

}
