package org.energy.modules.spares.service;

import org.energy.modules.spares.entity.ManufacturerInfo;
import org.energy.modules.spares.excel.ManufacturerInfoExcel;
import org.energy.modules.spares.vo.ManufacturerInfoVO;
import com.dayu.daf.core.mp.base.BaseService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * spt_manufacturer_info 服务类
 *
 * @author Daf
 * @since 2024-07-15
 */
public interface IManufacturerInfoService extends BaseService<ManufacturerInfo> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param manufacturerInfo
	 * @return
	 */
	IPage<ManufacturerInfoVO> selectManufacturerInfoPage(IPage<ManufacturerInfoVO> page, ManufacturerInfoVO manufacturerInfo);

	List<ManufacturerInfoExcel> export(ManufacturerInfoVO manufacturerInfoVO);

	/**
	 * 获取制造商
	 */
	List<ManufacturerInfo> getNoList();

	/**
	 * 获取制造商信息
	 */
	ManufacturerInfo getDetail(String creditCode);
}
