package org.energy.modules.spares.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.apache.ibatis.annotations.Param;
import org.energy.modules.spares.entity.Material;
import org.energy.modules.spares.excel.MaterialExcel;
import org.energy.modules.spares.vo.MaterialVO;
import com.dayu.daf.core.mp.base.BaseService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * 物资 服务类
 *
 * @author Daf
 * @since 2024-07-15
 */
public interface IMaterialService extends BaseService<Material> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param material
	 * @return
	 */
	IPage<MaterialVO> selectMaterialPage(IPage<MaterialVO> page, MaterialVO material);

	/**
	 * 导出
	 */
	List<MaterialExcel> exportData(Material material);

	/**
	 * 获取物资编号
	 */
	List<Material> getNoList();

	/**
	 * 获取最大编号
	 */
	String getMaxNo();

	/**
	 * 获取物资的信息
	 */
	MaterialVO getDetailList(String materialNo);

	void updateNum(String materialNo, long num);

}
