package org.energy.modules.spares.service.impl;

import io.micrometer.core.instrument.util.StringUtils;
import org.energy.modules.spares.entity.ManufacturerInfo;
import org.energy.modules.spares.excel.ManufacturerInfoExcel;
import org.energy.modules.spares.vo.ManufacturerInfoVO;
import org.energy.modules.spares.mapper.ManufacturerInfoMapper;
import org.energy.modules.spares.service.IManufacturerInfoService;
import com.dayu.daf.core.mp.base.BaseServiceImpl;
import org.energy.modules.system.service.IDictService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * spt_manufacturer_info 服务实现类
 *
 * @author Daf
 * @since 2024-07-15
 */
@Service
public class ManufacturerInfoServiceImpl extends BaseServiceImpl<ManufacturerInfoMapper, ManufacturerInfo> implements IManufacturerInfoService {

	@Autowired
	IDictService dictService;

	@Override
	public IPage<ManufacturerInfoVO> selectManufacturerInfoPage(IPage<ManufacturerInfoVO> page, ManufacturerInfoVO manufacturerInfo) {
		return page.setRecords(baseMapper.selectManufacturerInfoPage(page, manufacturerInfo));
	}

	@Override
	public List<ManufacturerInfoExcel> export(ManufacturerInfoVO manufacturerInfoVO) {
		List<ManufacturerInfoExcel> list = baseMapper.exportData(manufacturerInfoVO);
		list.forEach(item -> {
			if (StringUtils.isNotEmpty(item.getApprovalStatus()))
				item.setApprovalStatus(dictService.getValue("check_status", Integer.parseInt(item.getApprovalStatus())));
		});
		return list;
	}

	@Override
	public List<ManufacturerInfo> getNoList() {
		List<ManufacturerInfo> list = baseMapper.getNoList();
		return list;
	}

	@Override
	public ManufacturerInfo getDetail(String creditCode) {
		ManufacturerInfo detail = baseMapper.getDetail(creditCode);
		return detail;
	}

}
