package org.energy.modules.spares.service.impl;

import io.micrometer.core.instrument.util.StringUtils;
import org.energy.modules.spares.entity.SupplierInfo;
import org.energy.modules.spares.excel.SupplierInfoExcel;
import org.energy.modules.spares.vo.SupplierInfoVO;
import org.energy.modules.spares.mapper.SupplierInfoMapper;
import org.energy.modules.spares.service.ISupplierInfoService;
import com.dayu.daf.core.mp.base.BaseServiceImpl;
import org.energy.modules.system.service.IDictService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * spt_supplier_info 服务实现类
 *
 * @author Daf
 * @since 2024-07-15
 */
@Service
public class SupplierInfoServiceImpl extends BaseServiceImpl<SupplierInfoMapper, SupplierInfo> implements ISupplierInfoService {

	@Autowired
	IDictService dictService;

	@Override
	public IPage<SupplierInfoVO> selectSupplierInfoPage(IPage<SupplierInfoVO> page, SupplierInfoVO supplierInfo) {
		return page.setRecords(baseMapper.selectSupplierInfoPage(page, supplierInfo));
	}

	@Override
	public List<SupplierInfoExcel> export(SupplierInfoVO supplierInfo) {
		List<SupplierInfoExcel> list = baseMapper.exportData(supplierInfo);
		list.forEach(item -> {
			if (StringUtils.isNotEmpty(item.getApprovalStatus()))
				item.setApprovalStatus(dictService.getValue("check_status", Integer.parseInt(item.getApprovalStatus())));
		});
		return list;
	}

	@Override
	public List<SupplierInfo> getNoList() {
		List<SupplierInfo> list = baseMapper.getNoList();
		return list;
	}

	@Override
	public SupplierInfo getDetail(String creditCode) {
		SupplierInfo detail = baseMapper.getDetail(creditCode);
		return detail;
	}

}
