package org.energy.modules.system.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 工况仿真方案结论实体类
 *
 * @author Daf
 * @since 2024-04-12
 */
@Data
@ApiModel(value = "OperatingModeDetailVO对象", description = "仿真方案结论")
public class OperatingModeDetailVO {
	private static final long serialVersionUID = 1L;

	// 工况
	/**
	 * 主键ID
	 */
	@ApiModelProperty(value = "主键ID")
	private Long id;
	/**
	 * 工况名称
	 */
	@ApiModelProperty(value = "工况名称")
	private String operatModeName;
	/**
	 * 购网电价
	 */
	@ApiModelProperty(value = "购网电价")
	private BigDecimal purchasePrice;
	/**
	 * 售网电价
	 */
	@ApiModelProperty(value = "售网电价")
	private BigDecimal sellPrice;
	/**
	 * 仿真日期
	 */
	@ApiModelProperty(value = "仿真日期")
	private Date emulateDate;
	/**
	 * 场景关联ID
	 */
	@ApiModelProperty(value = "场景关联ID")
	private BigDecimal sceneId;
	/**
	 * 储能容量start
	 */
	@ApiModelProperty(value = "储能容量start")
	private BigDecimal capacityStart;
	/**
	 * 储能容量end
	 */
	@ApiModelProperty(value = "储能容量end")
	private BigDecimal capacityEnd;
	/**
	 * 充电损耗
	 */
	@ApiModelProperty(value = "充电损耗")
	private BigDecimal chargingLoss;
	/**
	 * 放电损耗
	 */
	@ApiModelProperty(value = "放电损耗")
	private BigDecimal dischargeLoss;
	/**
	 * 容量用电负荷
	 */
	@ApiModelProperty(value = "容量用电负荷")
	private BigDecimal capEleLoad;
	@JsonFormat(
		pattern = "yyyy-MM-dd HH:mm:ss"
	)
	@ApiModelProperty("创建时间")
	private Date createTime;

	// 方案
	/**
	 * 出力比
	 */
	@ApiModelProperty(value = "出力比")
	private BigDecimal outputRatio;

	/**
	 * 方案名称
	 */
	@ApiModelProperty(value = "方案名称")
	private String sceneName;

	// 系数
	/**
	 * 高峰时段系数
	 */
	@ApiModelProperty(value = "高峰时段系数")
	private BigDecimal peakCoef;
	/**
	 * 高峰时段价格
	 */
	@ApiModelProperty(value = "高峰时段价格")
	private BigDecimal peakCoefPrice;
	/**
	 * 尖峰时段系数
	 */
	@ApiModelProperty(value = "尖峰时段系数")
	private BigDecimal spikeCoef;
	/**
	 * 尖峰时段价格
	 */
	@ApiModelProperty(value = "尖峰时段价格")
	private BigDecimal spikeCoefPrice;
	/**
	 * 低谷时段系数
	 */
	@ApiModelProperty(value = "低谷时段系数")
	private BigDecimal valleyCoef;
	/**
	 * 低谷时段价格
	 */
	@ApiModelProperty(value = "低谷时段价格")
	private BigDecimal valleyCoefPrice;
	/**
	 * 深谷时段系数
	 */
	@ApiModelProperty(value = "深谷时段系数")
	private BigDecimal deepValleyCoef;
	/**
	 * 深谷时段价格
	 */
	@ApiModelProperty(value = "深谷时段价格")
	private BigDecimal deepValleyCoefPrice;

	//时段峰平谷TYPE
	/**
	 * 时段1
	 */
	@ApiModelProperty(value = "时段1")
	private String date1Type;
	/**
	 * 时段2
	 */
	@ApiModelProperty(value = "时段2")
	private String date2Type;
	/**
	 * 时段3
	 */
	@ApiModelProperty(value = "时段3")
	private String date3Type;
	/**
	 * 时段4
	 */
	@ApiModelProperty(value = "时段4")
	private String date4Type;
	/**
	 * 时段5
	 */
	@ApiModelProperty(value = "时段5")
	private String date5Type;
	/**
	 * 时段6
	 */
	@ApiModelProperty(value = "时段6")
	private String date6Type;
	/**
	 * 时段7
	 */
	@ApiModelProperty(value = "时段7")
	private String date7Type;
	/**
	 * 时段8
	 */
	@ApiModelProperty(value = "时段8")
	private String date8Type;
	/**
	 * 时段9
	 */
	@ApiModelProperty(value = "时段9")
	private String date9Type;
	/**
	 * 时段10
	 */
	@ApiModelProperty(value = "时段10")
	private String date10Type;
	/**
	 * 时段11
	 */
	@ApiModelProperty(value = "时段11")
	private String date11Type;
	/**
	 * 时段12
	 */
	@ApiModelProperty(value = "时段12")
	private String date12Type;
	/**
	 * 时段13
	 */
	@ApiModelProperty(value = "时段13")
	private String date13Type;
	/**
	 * 时段14
	 */
	@ApiModelProperty(value = "时段14")
	private String date14Type;
	/**
	 * 时段15
	 */
	@ApiModelProperty(value = "时段15")
	private String date15Type;
	/**
	 * 时段16
	 */
	@ApiModelProperty(value = "时段16")
	private String date16Type;
	/**
	 * 时段17
	 */
	@ApiModelProperty(value = "时段17")
	private String date17Type;
	/**
	 * 时段18
	 */
	@ApiModelProperty(value = "时段18")
	private String date18Type;
	/**
	 * 时段19
	 */
	@ApiModelProperty(value = "时段19")
	private String date19Type;
	/**
	 * 时段20
	 */
	@ApiModelProperty(value = "时段20")
	private String date20Type;
	/**
	 * 时段21
	 */
	@ApiModelProperty(value = "时段21")
	private String date21Type;
	/**
	 * 时段22
	 */
	@ApiModelProperty(value = "时段22")
	private String date22Type;
	/**
	 * 时段23
	 */
	@ApiModelProperty(value = "时段23")
	private String date23Type;
	/**
	 * 时段24
	 */
	@ApiModelProperty(value = "时段24")
	private String date24Type;

	// 光功率
	/**
	 * 光伏装机
	 */
	@ApiModelProperty(value = "光伏装机")
	private BigDecimal pvInsatll;
	/**
	 * 时段1
	 */
	@ApiModelProperty(value = "时段1")
	private BigDecimal date1Power;
	/**
	 * 时段2
	 */
	@ApiModelProperty(value = "时段2")
	private BigDecimal date2Power;
	/**
	 * 时段3
	 */
	@ApiModelProperty(value = "时段3")
	private BigDecimal date3Power;
	/**
	 * 时段4
	 */
	@ApiModelProperty(value = "时段4")
	private BigDecimal date4Power;
	/**
	 * 时段5
	 */
	@ApiModelProperty(value = "时段5")
	private BigDecimal date5Power;
	/**
	 * 时段6
	 */
	@ApiModelProperty(value = "时段6")
	private BigDecimal date6Power;
	/**
	 * 时段7
	 */
	@ApiModelProperty(value = "时段7")
	private BigDecimal date7Power;
	/**
	 * 时段8
	 */
	@ApiModelProperty(value = "时段8")
	private BigDecimal date8Power;
	/**
	 * 时段9
	 */
	@ApiModelProperty(value = "时段9")
	private BigDecimal date9Power;
	/**
	 * 时段10
	 */
	@ApiModelProperty(value = "时段10")
	private BigDecimal date10Power;
	/**
	 * 时段11
	 */
	@ApiModelProperty(value = "时段11")
	private BigDecimal date11Power;
	/**
	 * 时段12
	 */
	@ApiModelProperty(value = "时段12")
	private BigDecimal date12Power;
	/**
	 * 时段13
	 */
	@ApiModelProperty(value = "时段13")
	private BigDecimal date13Power;
	/**
	 * 时段14
	 */
	@ApiModelProperty(value = "时段14")
	private BigDecimal date14Power;
	/**
	 * 时段15
	 */
	@ApiModelProperty(value = "时段15")
	private BigDecimal date15Power;
	/**
	 * 时段16
	 */
	@ApiModelProperty(value = "时段16")
	private BigDecimal date16Power;
	/**
	 * 时段17
	 */
	@ApiModelProperty(value = "时段17")
	private BigDecimal date17Power;
	/**
	 * 时段18
	 */
	@ApiModelProperty(value = "时段18")
	private BigDecimal date18Power;
	/**
	 * 时段19
	 */
	@ApiModelProperty(value = "时段19")
	private BigDecimal date19Power;
	/**
	 * 时段20
	 */
	@ApiModelProperty(value = "时段20")
	private BigDecimal date20Power;
	/**
	 * 时段21
	 */
	@ApiModelProperty(value = "时段21")
	private BigDecimal date21Power;
	/**
	 * 时段22
	 */
	@ApiModelProperty(value = "时段22")
	private BigDecimal date22Power;
	/**
	 * 时段23
	 */
	@ApiModelProperty(value = "时段23")
	private BigDecimal date23Power;
	/**
	 * 时段24
	 */
	@ApiModelProperty(value = "时段24")
	private BigDecimal date24Power;

	// 用户负荷
	/**
	 * 时段1
	 */
	@ApiModelProperty(value = "时段1")
	private BigDecimal date1Load;
	/**
	 * 时段2
	 */
	@ApiModelProperty(value = "时段2")
	private BigDecimal date2Load;
	/**
	 * 时段3
	 */
	@ApiModelProperty(value = "时段3")
	private BigDecimal date3Load;
	/**
	 * 时段4
	 */
	@ApiModelProperty(value = "时段4")
	private BigDecimal date4Load;
	/**
	 * 时段5
	 */
	@ApiModelProperty(value = "时段5")
	private BigDecimal date5Load;
	/**
	 * 时段6
	 */
	@ApiModelProperty(value = "时段6")
	private BigDecimal date6Load;
	/**
	 * 时段7
	 */
	@ApiModelProperty(value = "时段7")
	private BigDecimal date7Load;
	/**
	 * 时段8
	 */
	@ApiModelProperty(value = "时段8")
	private BigDecimal date8Load;
	/**
	 * 时段9
	 */
	@ApiModelProperty(value = "时段9")
	private BigDecimal date9Load;
	/**
	 * 时段10
	 */
	@ApiModelProperty(value = "时段10")
	private BigDecimal date10Load;
	/**
	 * 时段11
	 */
	@ApiModelProperty(value = "时段11")
	private BigDecimal date11Load;
	/**
	 * 时段12
	 */
	@ApiModelProperty(value = "时段12")
	private BigDecimal date12Load;
	/**
	 * 时段13
	 */
	@ApiModelProperty(value = "时段13")
	private BigDecimal date13Load;
	/**
	 * 时段14
	 */
	@ApiModelProperty(value = "时段14")
	private BigDecimal date14Load;
	/**
	 * 时段15
	 */
	@ApiModelProperty(value = "时段15")
	private BigDecimal date15Load;
	/**
	 * 时段16
	 */
	@ApiModelProperty(value = "时段16")
	private BigDecimal date16Load;
	/**
	 * 时段17
	 */
	@ApiModelProperty(value = "时段17")
	private BigDecimal date17Load;
	/**
	 * 时段18
	 */
	@ApiModelProperty(value = "时段18")
	private BigDecimal date18Load;
	/**
	 * 时段19
	 */
	@ApiModelProperty(value = "时段19")
	private BigDecimal date19Load;
	/**
	 * 时段20
	 */
	@ApiModelProperty(value = "时段20")
	private BigDecimal date20Load;
	/**
	 * 时段21
	 */
	@ApiModelProperty(value = "时段21")
	private BigDecimal date21Load;
	/**
	 * 时段22
	 */
	@ApiModelProperty(value = "时段22")
	private BigDecimal date22Load;
	/**
	 * 时段23
	 */
	@ApiModelProperty(value = "时段23")
	private BigDecimal date23Load;
	/**
	 * 时段24
	 */
	@ApiModelProperty(value = "时段24")
	private BigDecimal date24Load;

	// 返回date1-date24 的光功、购电等信息
	/**
	 * 时段1
	 */
	@ApiModelProperty(value = "时段1")
	private SimulationDetailVO date1;
	/**
	 * 时段2
	 */
	@ApiModelProperty(value = "时段2")
	private SimulationDetailVO date2;
	/**
	 * 时段3
	 */
	@ApiModelProperty(value = "时段3")
	private SimulationDetailVO date3;
	/**
	 * 时段4
	 */
	@ApiModelProperty(value = "时段4")
	private SimulationDetailVO date4;
	/**
	 * 时段5
	 */
	@ApiModelProperty(value = "时段5")
	private SimulationDetailVO date5;
	/**
	 * 时段6
	 */
	@ApiModelProperty(value = "时段6")
	private SimulationDetailVO date6;
	/**
	 * 时段7
	 */
	@ApiModelProperty(value = "时段7")
	private SimulationDetailVO date7;
	/**
	 * 时段8
	 */
	@ApiModelProperty(value = "时段8")
	private SimulationDetailVO date8;
	/**
	 * 时段9
	 */
	@ApiModelProperty(value = "时段9")
	private SimulationDetailVO date9;
	/**
	 * 时段10
	 */
	@ApiModelProperty(value = "时段10")
	private SimulationDetailVO date10;
	/**
	 * 时段11
	 */
	@ApiModelProperty(value = "时段11")
	private SimulationDetailVO date11;
	/**
	 * 时段12
	 */
	@ApiModelProperty(value = "时段12")
	private SimulationDetailVO date12;
	/**
	 * 时段13
	 */
	@ApiModelProperty(value = "时段13")
	private SimulationDetailVO date13;
	/**
	 * 时段14
	 */
	@ApiModelProperty(value = "时段14")
	private SimulationDetailVO date14;
	/**
	 * 时段15
	 */
	@ApiModelProperty(value = "时段15")
	private SimulationDetailVO date15;
	/**
	 * 时段16
	 */
	@ApiModelProperty(value = "时段16")
	private SimulationDetailVO date16;
	/**
	 * 时段17
	 */
	@ApiModelProperty(value = "时段17")
	private SimulationDetailVO date17;
	/**
	 * 时段18
	 */
	@ApiModelProperty(value = "时段18")
	private SimulationDetailVO date18;
	/**
	 * 时段19
	 */
	@ApiModelProperty(value = "时段19")
	private SimulationDetailVO date19;
	/**
	 * 时段20
	 */
	@ApiModelProperty(value = "时段20")
	private SimulationDetailVO date20;
	/**
	 * 时段21
	 */
	@ApiModelProperty(value = "时段21")
	private SimulationDetailVO date21;
	/**
	 * 时段22
	 */
	@ApiModelProperty(value = "时段22")
	private SimulationDetailVO date22;
	/**
	 * 时段23
	 */
	@ApiModelProperty(value = "时段23")
	private SimulationDetailVO date23;
	/**
	 * 时段24
	 */
	@ApiModelProperty(value = "时段24")
	private SimulationDetailVO date24;
	/**
	 * 总发电量
	 */
	@ApiModelProperty(value = "总发电量")
	private BigDecimal totalElectricity;
	/**
	 * 总发电量价格
	 */
	@ApiModelProperty(value = "总发电量价格")
	private BigDecimal totalPrice;
	/**
	 * 网购电量
	 */
	@ApiModelProperty(value = "网购电量")
	private BigDecimal onlinePower;
	/**
	 * 网购电量价格
	 */
	@ApiModelProperty(value = "网购电量价格")
	private BigDecimal onlinePowerPrice;
	/**
	 * 充电电量总价格
	 */
	@ApiModelProperty(value = "充电电量总价格")
	private BigDecimal totalChargePrice;
	/**
	 * 充电总功率
	 */
	@ApiModelProperty(value = "充电总功率")
	private BigDecimal totalChargePower;
	/**
	 * 放电电量总价格
	 */
	@ApiModelProperty(value = "放电电量总价格")
	private BigDecimal totalDisChargePrice;
	/**
	 * 放电总功率
	 */
	@ApiModelProperty(value = "放电总功率")
	private BigDecimal totalDisChargePower;
	/**
	 * 光伏贡献
	 */
	@ApiModelProperty(value = "光伏贡献")
	private BigDecimal totalPGPrice;
	/**
	 * 光伏发电总功率
	 */
	@ApiModelProperty(value = "光伏发电总功率")
	private BigDecimal totalPowerGeneration;
	/**
	 * 储能贡献
	 */
	@ApiModelProperty(value = "储能贡献")
	private BigDecimal totalEnergyStoragePrice;
	/**
	 * 超出容量负荷List
	 */
	@ApiModelProperty(value = "超出容量负荷List")
	private List<String> capacityLoadList;
	/**
	 * 总收益
	 */
	@ApiModelProperty(value = "总收益")
	private BigDecimal totalRevenue;
	/**
	 * 充电list
	 */
	@ApiModelProperty(value = "充电list")
	private List<BigDecimal> chargeList;
	/**
	 * 放电list
	 */
	@ApiModelProperty(value = "放电list")
	private List<BigDecimal> disChargeList;
	/**
	 * 储能list
	 */
	@ApiModelProperty(value = "储能list")
	private List<BigDecimal> energyStorageList;
	/**
	 * 储能电费list
	 */
	@ApiModelProperty(value = "储能电费list")
	private List<BigDecimal> energyStoragePriceList;
	/**
	 * 光伏发电电费list
	 */
	@ApiModelProperty(value = "光伏发电电费list")
	private List<BigDecimal> powerGenerationPriceList;
	/**
	 * 光伏发电list
	 */
	@ApiModelProperty(value = "光伏发电list")
	private List<BigDecimal> powerGenerationList;
	/**
	 * 网购电量list
	 */
	@ApiModelProperty(value = "网购电量list")
	private List<BigDecimal> purchaseBatteryList;
	/**
	 * 网购电量电费list
	 */
	@ApiModelProperty(value = "网购电量电费list")
	private List<BigDecimal> purchaseBatteryPriceList;
	/**
	 * 用户负荷list
	 */
	@ApiModelProperty(value = "用户负荷list")
	private List<BigDecimal> userLoadList;
}
