/**
 * Copyright (c) 2018-2028, Chill Zhuang 庄骞 (smallchill@163.com).
 * <p>
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * <p>
 * http://www.apache.org/licenses/LICENSE-2.0
 * <p>
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.energy.modules.system.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.RoundingMode;

/**
 * GrantVO
 *
 * @author Chill
 */
@Data
public class SimulationDetailVO implements Serializable {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "光功发电")
	private BigDecimal powerGeneration = BigDecimal.ZERO.setScale(2, RoundingMode.HALF_UP);

	@ApiModelProperty(value = "光功发电价格")
	private BigDecimal powerGenerationPrice = BigDecimal.ZERO.setScale(2, RoundingMode.HALF_UP);

	@ApiModelProperty(value = "购买电量")
	private BigDecimal purchaseBattery = BigDecimal.ZERO.setScale(2, RoundingMode.HALF_UP);

	@ApiModelProperty(value = "购买电量价格")
	private BigDecimal purchaseBatteryPrice = BigDecimal.ZERO.setScale(2, RoundingMode.HALF_UP);

	@ApiModelProperty(value = "充电量")
	private BigDecimal charge = BigDecimal.ZERO.setScale(2, RoundingMode.HALF_UP);

	@ApiModelProperty(value = "充电量价格")
	private BigDecimal chargePrice = BigDecimal.ZERO.setScale(2, RoundingMode.HALF_UP);

	@ApiModelProperty(value = "放电量")
	private BigDecimal discharge = BigDecimal.ZERO.setScale(2, RoundingMode.HALF_UP);

	@ApiModelProperty(value = "放电量价格")
	private BigDecimal dischargePrice = BigDecimal.ZERO.setScale(2, RoundingMode.HALF_UP);

	@ApiModelProperty(value = "充电与否 0 没充没放，1充电，2放电")
	private String isDischarge;

}
